[winetest] Add a new utility to simply running + submitting tests via winetest when run from the Wine tree.

Jeremy White jwhite at winehq.org
Tue Feb 5 09:54:49 CST 2008


---
 programs/winetest/runtests |   47 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 47 insertions(+), 0 deletions(-)
 create mode 100755 programs/winetest/runtests

diff --git a/programs/winetest/runtests b/programs/winetest/runtests
new file mode 100755
index 0000000..57791ed
--- /dev/null
+++ b/programs/winetest/runtests
@@ -0,0 +1,47 @@
+#!/bin/sh
+#    runtests
+# This utility modestly automates the process of running winetest 'live' from
+# a Wine git tree, instead of from a prebuilt .exe file.
+#
+# Usage:
+#   get + build 'fresh' Wine
+#   cd programs/winetest
+#   ./runtests <your-tag-goes-here>
+#
+# Your tag should tie back both to you and to your specific machine.
+
+if [ $# -ne 1 ] ; then
+    echo "Error:  You must specify the tag you wish to report."
+    echo "        The tag should identify you in some way, and then help you identify which of"
+    echo "        your computers it is, if you have multiple reporting results."
+    exit 1
+fi
+
+type wine >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
+    echo Could not find wine in the path, aborting
+    exit 1
+fi
+
+type wineprefixcreate >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
+    echo Could not find wineprefixcreate in the path, aborting
+    exit 1
+fi
+
+date +%Y%m%d >build.id
+gcc --version >build.nfo
+uname -a >>build.nfo
+/lib/libc.so.6 >>build.nfo
+echo N/A >tests.url
+make dist
+make
+export WINEPREFIX=`mktemp -d`
+wineprefixcreate
+
+type winetricks >/dev/null 2>&1
+if [ $? -eq 0 ] ; then
+    winetricks gecko
+fi
+
+./winetest-dist -c -t "$1"
-- 
1.5.3.6




More information about the wine-patches mailing list